# Handle line endings automatically for files detected as text
# and leave binary files (like images) alone.
* text=auto

# Explicitly declare text files to always be LF on check-in
*.js text eol=lf
*.html text eol=lf

# Denote files that must keep CRLF (e.g., Windows batch files)
*.bat text eol=crlf